com.pivotal.gemfirexd.internal.client.am

## Class SectionManager

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.SectionManager

    public class SectionManager
    extends Object

### Field Summary

Fields
`byte[]` `holdPKGNAMCBytes`
`byte[]` `noHoldPKGNAMCBytes`

### Constructor Summary

Constructors
Constructor and Description
`SectionManager(String collection, Agent agent, String databaseName)`

### Method Summary

Methods
`void` `freeSection(Section section, int resultSetHoldability)`
`Section` `getDynamicSection(int resultSetHoldability)`
`protected Section` `getSection(Stack freeSections, String packageName, String cursorNamePrefix, int resultSetHoldability)`
`void` `setPKGNAMCBytes(byte[] b, int resultSetHoldability)` Store the Packagename and consistency token information This is called from Section.setPKGNAMCBytes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### holdPKGNAMCBytes

    public byte[] holdPKGNAMCBytes

#### noHoldPKGNAMCBytes

    public byte[] noHoldPKGNAMCBytes

### Constructor Detail

#### SectionManager

    public SectionManager(String collection,
                  Agent agent,
                  String databaseName)

### Method Detail

#### setPKGNAMCBytes

    public void setPKGNAMCBytes(byte[] b,
                       int resultSetHoldability)

Store the Packagename and consistency token information This is called from Section.setPKGNAMCBytes

Parameters:
  `b` - bytearray that has the PKGNAMC information to be stored
  `resultSetHoldability` - depending on the holdability store it in the correct byte array packagename and consistency token information for when holdability is set to HOLD_CURSORS_OVER_COMMIT is stored in holdPKGNAMCBytes and in noHoldPKGNAMCBytes when holdability is set to CLOSE_CURSORS_AT_COMMIT

#### getDynamicSection

    public Section getDynamicSection(int resultSetHoldability)
                              throws SqlException

Throws:
  `SqlException`

#### getSection

    protected Section getSection(Stack freeSections,
                     String packageName,
                     String cursorNamePrefix,
                     int resultSetHoldability)
                          throws SqlException

Throws:
  `SqlException`

#### freeSection

    public void freeSection(Section section,
                   int resultSetHoldability)